Package org.eclipse.mat.parser.internal.snapshot

# Class ObjectMarker.FjObjectMarker

java.lang.Object
java.util.concurrent.ForkJoinTask<Void>
java.util.concurrent.RecursiveAction
org.eclipse.mat.parser.internal.snapshot.ObjectMarker.FjObjectMarker

All Implemented Interfaces:
  `Serializable`, `Future<Void>`

Enclosing class:
  ObjectMarker

public class ObjectMarker.FjObjectMarker extends RecursiveAction

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`void`
`compute()`

### Methods inherited from class java.util.concurrent.RecursiveAction

`getRawResult`

### Methods inherited from class java.util.concurrent.ForkJoinTask

`adapt, adapt, adapt, cancel, compareAndSetForkJoinTaskTag, complete, completeExceptionally, fork, get, get, getException, getForkJoinTaskTag, getPool, getQueuedTaskCount, getSurplusQueuedTaskCount, helpQuiesce, inForkJoinPool, invoke, invokeAll, invokeAll, invokeAll, isCancelled, isCompletedAbnormally, isCompletedNormally, isDone, join, quietlyComplete, quietlyInvoke, quietlyJoin, reinitialize, setForkJoinTaskTag, tryUnfork`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compute

public void compute()